Operating System & Version
Centos 7.9
cPanel & WHM Version
96.0.9

liebn0r

Active Member
Dec 7, 2017
41
2
8
USA
cPanel Access Level
Website Owner
The experimental ea-apache24-mod_wsgi module seems to be built for Python 2. Is there an ea- equivalent of python3-mod_wsgi?
 

cPJustinD

Administrator
Staff member
Jan 12, 2021
286
51
103
Houston
cPanel Access Level
Root Administrator
Hello liebn0r! Unfortunately, there does not appear to be Python 3 equipment; however, you should still be able to run the application using Passenger. More information on this can be found here:

How to Install a Python WSGI Application

I hope that this helps. If you have any other questions or concerns, please let us know!
 

cPJustinD

Administrator
Staff member
Jan 12, 2021
286
51
103
Houston
cPanel Access Level
Root Administrator
I don't believe NGINX is required, although there are a few modules and applications you or your hosting provider will have to install:

Code:
ea-ruby27-mod_passenger
ea-apache24-mod_env
python-flask (or another framework)
pip
I hope that this offers some clarity. Let us know if you have any other questions!
 

cPJustinD

Administrator
Staff member
Jan 12, 2021
286
51
103
Houston
cPanel Access Level
Root Administrator
You'll need to enable the Application Manager in the proper Feature List to access it in cPanel. We've published an article that outlines the process for enabling the Application Manager here:

How to enable the Application Manager in cPanel

I hope that this helps! Let us know if you have any other questions or concerns!